Modify

Opened 6 years ago

Closed 5 years ago

Last modified 4 years ago

#10007 closed defect (worksforme)

Kernel OOps: AR2317 (Ubiquiti Bullet 2), ath5k

Reported by: Nenad Opsenica <nenad@…> Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Backfire 10.03.1 RC5
Keywords: Cc:

Description

Up-to-date backfire svn branch, Ubiquiti Bullet 2 (AR2317) with ath5k --> kernel OOps after driver load.

RedBoot(tm) bootstrap and debug environment [ROMRAM]
Ubiquiti Networks certified release, version 0.9.8.06 - built 10:58:08, Dec 23 2008

Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.

Board: Ubiquiti AR2315/6/7/8 based board
RAM: 0x80000000-0x81000000, [0x80040880-0x80fe1000] available
FLASH: 0xbfc00000 - 0xbfff0000, 64 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> cache off
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80041000-0x802ec200
Image is not ELF, skipping ELF parsing...
RedBoot> go
Linux version 2.6.30.10 (nenad@build-openwrt.noc.panline.net) (gcc version 4.1.2) #4 Wed Jul 20 17:39:38 CEST1
console [early0] enabled
CPU revision is: 00019064 (MIPS 4KEc)
Determined physical RAM map:
 memory: 01000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00001000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00001000
Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
Kernel command line: console=ttyS0,9600 rootfstype=squashfs,jffs2
Primary instruction cache 16kB, VIPT, 4-way, linesize 16 bytes.
Primary data cache 16kB, 4-way, VIPT, no aliases, linesize 16 bytes
NR_IRQS:128
PID hash table entries: 64 (order: 6, 256 bytes)
console handover: boot [early0] -> real [ttyS0]
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Memory: 13140k/16384k available (2070k kernel code, 3244k reserved, 535k data, 128k init, 0k highmem)
Calibrating delay loop... 183.50 BogoMIPS (lpj=917504)
Mount-cache hash table entries: 512
net_namespace: 1008 bytes
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
NET: Registered protocol family 1
Radio config found at offset 0xf8(0x1f8)
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  þþ 2001-2006 Red Hat, Inc.
msgmni has been set to 25
alg: No test for stdrng (krng)
io scheduler noop registered
io scheduler deadline registered (default)
gpiodev: gpio device registered with major 254
gpiodev: gpio platform device registered with access mask FFFFFFFF
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250: ttyS0 at MMIO 0xb1100003 (irq = 37) is a 16550A
eth0: Atheros AR231x: 00:15:6d:db:91:3c, irq 4
ar231x_eth_mii: probed
eth0: attached PHY driver [Generic PHY] (mii_bus:phy_addr=0:01)
cmdlinepart partition parsing not available
Searching for RedBoot partition table in spiflash at offset 0x3d0000
Searching for RedBoot partition table in spiflash at offset 0x3e0000
6 RedBoot partitions found on MTD device spiflash
Creating 6 MTD partitions on "spiflash":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000120000 : "kernel"
0x000000120000-0x0000003e0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=360000, len=80000
0x000000360000-0x0000003e0000 : "rootfs_data"
0x0000003e0000-0x0000003ef000 : "FIS directory"
0x0000003ef000-0x0000003f0000 : "RedBoot config"
0x0000003f0000-0x000000400000 : "boardconfig"
TCP westwood registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 128k freed
Please be patient, while OpenWrt loads ...
eth0: Configuring MAC for full duplex
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
jffs2 not ready yet; using ramdisk
mini_fo: using base directory: /
mini_fo: using storage directory: /tmp/root
- init -

# cat /proc/cpuinfo
system type             : Atheros AR2317
processor               : 0
cpu model               : MIPS 4KEc V6.4
BogoMIPS                : 183.50
wait instruction        : yes
microsecond timers      : yes
tlb_entries             : 16
extra interrupt vector  : yes
hardware watchpoint     : no
ASEs implemented        :
shadow register sets    : 1
core                    : 0
VCED exceptions         : not available
VCEI exceptions         : not available

Data bus error, epc == 8050c87c, ra == 8050ce98
Oops[#1]:
Cpu 0
$ 0   : 00000000 10009c00 00000002 c0548004
$ 4   : c0540000 00000002 00000001 00000000
$ 8   : 00000000 0000238c 00000003 80f05500
$12   : ffffffff 00000001 80300000 00000001
$16   : 00000000 804f2000 804f2000 00000001
$20   : 00000000 802b56d8 00000000 00000002
$24   : 00000000 80519fa8
$28   : 809d2000 809d3c90 7f92d3f8 8050ce98
Hi    : 00000000
Lo    : 00000000
epc   : 8050c87c ath5k_hw_clocktoh+0x4c/0x344 [ath5k]
    Not tainted
ra    : 8050ce98 ath5k_hw_nic_wakeup+0x188/0x4b4 [ath5k]
Status: 10009c03    KERNEL EXL IE
Cause : 3080041c
PrId  : 00019064 (MIPS 4KEc)
Modules linked in: ath5k(+) ath mac80211 ts_fsm ts_bm ts_kmp input_polldev crc_ccitt cfg80211 compat_firmwarec
Process insmod (pid: 527, threadinfo=809d2000, task=80f6f128, tls=00000000)
Stack : 00000080 80327480 00000000 00020000 00000000 00000000 804f2000 00000001
        00000000 802b56d8 8050ce98 8050ce20 80548e00 00000000 000000d0 00000010
        804f2000 00000000 00000090 80540da0 00000000 8050e5b4 00000000 00000002
        7f92d3f8 800bd32c 00000003 00000002 804f2000 00000002 80540240 80521200
        80540da0 802b56d8 805132fc 80bd3f00 80540240 80520b10 802ed290 805291fc
        ...
Call Trace:
[<8050c87c>] ath5k_hw_clocktoh+0x4c/0x344 [ath5k]
[<8050ce98>] ath5k_hw_nic_wakeup+0x188/0x4b4 [ath5k]

Attachments (0)

Change History (3)

comment:1 Changed 6 years ago by Nenad Opsenica <nenad@…>

Same problem is still present with the newest backfire, 10.03.1, and compat-wireless-2011-11-15:

Data bus error, epc == 8050cabc, ra == 8050d0c0
Oops[#1]:
Cpu 0
$ 0   : 00000000 00000061 00000002 c0548004
$ 4   : c0540000 00000002 00000001 00000000
$ 8   : 00000000 0000238c 00000000 ffffffbf
$12   : fff7ffff 00200200 00000000 00000001
$16   : 00000000 805515c0 805515c0 00000000
$20   : 805515c0 802b76d8 00000000 00000000
$24   : 00000000 80519a7c                  
$28   : 80546000 80547ca8 7f8fe088 8050d0c0
Hi    : 00000000
Lo    : 00000000
epc   : 8050cabc ath5k_hw_clocktoh+0x4a8/0x79c [ath5k]
    Not tainted
ra    : 8050d0c0 ath5k_hw_nic_wakeup+0x174/0x428 [ath5k]
Status: 10009c03    KERNEL EXL IE 
Cause : 3080041c
PrId  : 00019064 (MIPS 4KEc)
Modules linked in: ath5k(+) ath mac80211 ts_fsm ts_bm ts_kmp input_polldev crc_ccitt cfg80211 compat input_core arc4 aes_generic deflate ecb cbc
Process insmod (pid: 485, threadinfo=80546000, task=80dd6168, tls=00000000)
Stack : ffffffa7 802ba674 80532e80 8008f4ac 00000000 00000000 805515c0 00000000
        805515c0 802b76d8 8050d0c0 8050d04c 00000003 805515c0 80522204 80513ca8
        805515c0 00000000 00000090 00000000 8050e500 80550000 00000002 80520cb0
        802ef290 80550a40 00000002 80520cb0 802ef290 80550a40 805515c0 80512fc4
        802ef290 80528b5c 802b76d0 80bdbf00 80522204 805515c0 7f8fe088 80158498
        ...
Call Trace:
[<8050cabc>] ath5k_hw_clocktoh+0x4a8/0x79c [ath5k]
[<8050d0c0>] ath5k_hw_nic_wakeup+0x174/0x428 [ath5k]


Code: 24020002  30c600ff  30e7ffff <8c630000> 10a2002d  2ca20003  10400006  24020003  24020001 
Disabling lock debugging due to kernel taint
AHB fatal error

comment:2 Changed 5 years ago by nbd

  • Resolution set to worksforme
  • Status changed from new to closed

should be fixed in current trunk

comment:3 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.